Imports System.ComponentModel
Imports System.Drawing.Design
Imports System.Windows.Forms.Design
Imports DD_ProcessManager.InputProperties

Public Class ClassSQLEditor
    Inherits UITypeEditor

    Public Overrides Function GetEditStyle(context As ITypeDescriptorContext) As UITypeEditorEditStyle
        Return UITypeEditorEditStyle.Modal
    End Function

    Public Overrides Function EditValue(context As ITypeDescriptorContext, provider As IServiceProvider, value As Object) As Object
        Dim svc As IWindowsFormsEditorService = TryCast(provider.GetService(GetType(IWindowsFormsEditorService)), IWindowsFormsEditorService)
        Dim SQLSTring As String = DirectCast(value, SQLValue).Value

        If svc IsNot Nothing AndAlso SQLSTring IsNot Nothing Then
            'CURRENT_DESIGN_TYPE = "INPUT_INDEX"
            Using Form As New frmSQL_DESIGNER()
                Form.SQLCommand = SQLSTring
                If svc.ShowDialog(Form) = DialogResult.OK Then
                    Dim sql As New SQLValue(Form.SQLCommand)
                    CURRENT_SQL_CON = Form.ConnectionID
                    value = sql
                End If
            End Using
        End If

        Return value
    End Function
End Class
